> ## Documentation Index
> Fetch the complete documentation index at: https://creditor-documentation.debbiecollect.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get file

> Download a file by file id.



## OpenAPI

````yaml GET /v1/{tenantId}/files/{fileId}/{fileName}
openapi: 3.0.1
info:
  title: Debbie Creditor API Docs
  description: >-
    The Debbie Creditor API is a RESTful interface allowing you, as a creditor,
    to programmatically send data to your debt collection partner and access
    your data in the platform. It provides predictable URLs for accessing
    resources, and uses built-in HTTP features to receive commands and return
    responses. This makes it easy to integrate with your own systems, for
    example your ERP or invoicing system.
  version: v1.0.0
  x-logo:
    url: https://debbie-platform.github.io/creditor-api-docs/deb-logo.svg
servers:
  - url: https://api.debbiecollect.com
security:
  - bearerAuth: []
tags:
  - name: Customers
    description: Endpoints for interacting with customers
  - name: Files
    description: Endpoints for interacting with files
  - name: Voucher Type Ids
    description: >-
      ### Principals:

      | Type | id |

      | --- | --- |

      | Invoice (Faktura) | eb41e58e-fccf-419d-a771-cd5027fe6e87 |

      | Credit note (Kreditnota) | ef2cdc50-230f-4046-b1af-0f9c498dddd3 |

      | Final statement (Opgørelse) | 42385ae0-6846-425c-a793-8d47a3b190b5 |

      | On account invoice (Acontofaktura) |
      2d101b6e-74f9-4a4d-9f8e-c7abe2264da0 |

      | Loan (Gældsbrev) | bf61f462-6d3c-42e8-a99a-852d4a664926 |


      ### Costs:

      | Type | id |

      | --- | --- |

      | Collection cost (Inkassoomkostning) |
      07960de4-303d-4793-92da-3a8cfd5da1a1 |

      | Collection fee (Inkassogebyr) | 4c3ccbbf-0651-45b2-b37b-4fe736acfd7e |

      | Reminder fee (Rykkergebyr) | 3e51bf87-3c8f-4dd5-abd5-69417d113c89 |

      | Compensation cost (Kompensationsgebyr) |
      ed3e3d61-e1bc-4ee2-9166-adf2c41a2bbf |


      ### Interests:

      | Type | id |

      | --- | --- |

      | DK interest (Procesrente) | ca4af363-9925-436c-83d6-23b3db6ed5d2 |

      | Fixed interest (Fastrente) | 299dc393-1b71-4950-860f-8fb485036722 |

      | Yearly interest (Årlig rente) | 37db68dd-80be-40c7-8d2d-3619c793107f |


      ### Transactions:

      | Type | id |

      | --- | --- |

      | Deposit (Indbetaling) | c51f2f6a-8081-45ef-b52d-5e0569fdf12e |


      Your debt collection partner may also have defined custom voucher types.
      If you need a type that is not listed here, please reach out to them.
externalDocs:
  description: Find out more about Debbie here
  url: https://debbiecollect.com
paths:
  /v1/{tenantId}/files/{fileId}/{fileName}:
    get:
      tags:
        - Files
      summary: Get file
      description: Download a file by file id.
      operationId: get-file
      parameters:
        - in: path
          name: tenantId
          schema:
            type: string
            format: uuid
          required: true
          description: >-
            Id of your debt collection partner's tenant. You can find it on the
            API page in the creditor portal.
        - in: path
          name: fileId
          schema:
            type: string
            format: uuid
          required: true
          description: Id of the file
        - in: path
          name: fileName
          schema:
            type: string
          required: true
          description: >-
            Name of the file. Only used for the file name of the download, so it
            can be any string.
      responses:
        '200':
          description: Successful operation
          content: {}
        '401':
          $ref: '#/components/responses/UnauthorizedError'
components:
  responses:
    UnauthorizedError:
      description: Access token missing or invalid
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        Authentication with an API key can be done by using a bearer token in
        the Authorization header. This is done using the following format
        `Authorization: Bearer {token}`. API keys are issued and revoked
        directly from the creditor portal under Developers > API.

````